summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGreenRaccoon232016-06-03 01:57:58 -0500
committerGreenRaccoon232016-06-03 01:57:58 -0500
commit1945f76a9cdd8fafcfd471954d9a6567418913e8 (patch)
tree6e7b3af772d6073887944cc4ab21c550c979340a
parentd5299db0ff9acfd11d31ee66708df5680200cdb4 (diff)
downloadaur-1945f76a9cdd8fafcfd471954d9a6567418913e8.tar.gz
Update icon cache for BlueGreyDark, BrownDark, DeepOrangeDark
-rwxr-xr-x.SRCINFO2
-rwxr-xr-xarchdroid-icon-theme.install114
2 files changed, 69 insertions, 47 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f588a6374d50..9776dfe8de0a 100755
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
# Generated by mksrcinfo v8
-# Fri Jun 3 06:19:37 UTC 2016
+# Fri Jun 3 06:57:44 UTC 2016
pkgbase = archdroid-icon-theme-git
pkgdesc = Port of Android 5.0 Lollipop's material design icons to Arch.
pkgver = r105.d08b8b8
diff --git a/archdroid-icon-theme.install b/archdroid-icon-theme.install
index 31e02bc53c60..ad665530ba92 100755
--- a/archdroid-icon-theme.install
+++ b/archdroid-icon-theme.install
@@ -1,24 +1,60 @@
-_color() {
- tput bold && tput setaf "${1}";
- if ! [ "${2}" ]; then
- return;
- fi;
- printf "%s" "${2}";
+post_install() {
+ _gtkUpdate;
+ _credits;
}
-_green() {
- _color "2" "${1}";
+post_upgrade() {
+ _gtkUpdate;
+ _credits;
}
-_blue() {
- _color "4" "${1}";
+post_remove() {
+ gtk-update-icon-cache;
}
-_white() {
- _color "7";
- for line ; do
- echo "${line}" ;
- done ;
+_gtkUpdate() {
+ _msg "Updating icon cache"...;
+
+ local -ar Themes=(
+ Amber
+ ArchBlue
+ Blue
+ BlueGrey
+ BlueGreyDark
+ Brown
+ BrownDark
+ Cyan
+ DeepOrange
+ DeepOrangeDark
+ DeepPurple
+ Green
+ Grey
+ Indigo
+ KellyGreen
+ LightBlue
+ LightGreen
+ Lime
+ Orange
+ Pink
+ Purple
+ Red
+ Shamrock
+ Teal
+ Yellow
+ );
+
+ local theme;
+ for theme in "${Themes[@]}"; do
+ local dir="Archdroid-${theme}";
+ local path="usr/share/icons/${dir}";
+
+ _msg2 "${dir}";
+ gtk-update-icon-cache -ftq "${path}";
+ done;
+}
+
+_credits() {
+ _msg "Credits to Google, Ubuntu Mono, Mint-X, and Numix for this theme";
}
_msg() {
@@ -33,44 +69,30 @@ _msg2() {
tput sgr 0;
}
-_gtkUpdate() {
- _msg "Updating icon cache"...;
-
- a="Archdroid";
- Colors=(
- Amber ArchBlue Blue BlueGrey
- Brown Cyan DeepOrange DeepPurple
- Green Grey Indigo KellyGreen
- LightBlue LightGreen Lime Orange
- Pink Purple Red Shamrock
- Teal Yellow
- );
-
- for c in "${Colors[@]}"; do
- t="${a}-${c}";
- d="usr/share/icons/${t}";
-
- _msg2 "${t}";
- gtk-update-icon-cache -ftq "${d}";
- done;
+_green() {
+ _color "2" "${1}";
}
-_credits() {
- _msg "Credits to Google, Ubuntu Mono, Mint-X, and Numix for this theme";
+_blue() {
+ _color "4" "${1}";
}
-post_install() {
- _gtkUpdate;
- _credits;
+_white() {
+ _color "7";
+ for line ; do
+ echo "${line}" ;
+ done ;
}
-post_upgrade() {
- _gtkUpdate;
- _credits;
-}
+_color() {
+ tput bold;
+ tput setaf "${1}";
-post_remove() {
- gtk-update-icon-cache;
+ if ! [ "${2}" ]; then
+ return;
+ fi;
+
+ printf "%s" "${2}";
}
# vim: ts=2 sw=2 et: